package cn.com.taiji.track.event;


import java.io.Serializable;

public class EventType<T> implements Serializable {
    private T data;
    private String type;


    public EventType(T data, String type) {
        this.data = data;
        this.type = type;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
